---
title: App helpers
template: docs
taxonomy:
    category: docs
routes:
  default: '/packaging_apps_helpers'
---

Doc auto-generated by [this script](https://github.com/YunoHost/yunohost/blob/{{ current_commit }}/doc/generate_helper_doc.py) on {{data.date}} (YunoHost version {{data.version}})

{% for category, helpers in data.helpers %}
## {{ category.upper() }}
{% for h in helpers %}
### {{ h.name }}
[details summary="<i>{{ h.brief }}</i>" class="helper-card-subtitle text-muted"]

**Usage**: `{{ h.usage }}`
{%- if h.args %}

**Arguments**:
    {%- for infos in h.args %}
        {%- if infos|length == 2 %}
- `{{ infos[0] }}`: {{ infos[1] }}
        {%- else %}
- `{{ infos[0] }}`, `{{ infos[1] }}`: {{ infos[2] }}
        {%- endif %}
    {%- endfor %}
{%- endif %}
{%- if h.ret %}

**Returns**: {{ h.ret }}
{%- endif %}
{%- if "example" in h.keys() %}

**Example**: `{{ h.example }}`
{%- endif %}
{%- if "examples" in h.keys() %}

**Examples**:
    {% for example in h.examples %}
        {% if not example.strip().startswith("# ") %}
- `{{ example }}`
        {% else %}
- `{{ example.strip("# ") }}`
        {% endif %}
    {% endfor %}
{%- endif %}
{%- if h.details %}

**Details**:  
{{ h.details }}
{%- endif %}
[Dude, show me the code!](https://github.com/YunoHost/yunohost/blob/{{ current_commit }}/helpers/{{ category }}#L{{ h.line + 1 }})
[/details]

---
{% endfor %}
{% endfor %}
